Skip to main content
Fetch all shipments
curl --request GET \
  --url https://api.cf.ovrsea.com/v1/shipments
import requests

url = "https://api.cf.ovrsea.com/v1/shipments"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cf.ovrsea.com/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "June Air Export USA",
    "ovrsea_shipment_id": "CDEF",
    "created_at": "2021-09-20T10:02:09+01:00",
    "incoterm": "fob",
    "route": {
      "pickup_location_id": "23",
      "origin_port_unlocode": "FR/FOS",
      "destination_port_unlocode": "US/NYC",
      "delivery_location_id": "45"
    },
    "cargo_ready_date": "2021-10-11",
    "desired_delivery_date": "2021-10-11",
    "specific_instructions": "<string>",
    "cargo": {
      "total_weight": {
        "value": 350.25,
        "unit": "kg"
      },
      "total_volume": {
        "value": 10.25,
        "unit": "cbm"
      },
      "total_teus": 5,
      "containers": [
        {
          "container_number": "TEMU8667058",
          "seal_number": 1332641,
          "purchase_order_references": [
            4500346155
          ]
        }
      ],
      "loads": [
        {
          "count": 3,
          "weight": {
            "value": 350.25,
            "unit": "kg"
          },
          "volume_unit": "cm",
          "length": {
            "value": 10.25,
            "unit": "cm"
          },
          "width": {
            "value": 10.25,
            "unit": "cm"
          },
          "height": {
            "value": 10.25,
            "unit": "cm"
          }
        }
      ]
    },
    "transported_goods": {
      "goods_description": "Description of the shipped goods",
      "is_stackable": true,
      "is_hazardous": false,
      "hazardous_description": "UN1993",
      "contains_lithium": false,
      "contains_magnets": false,
      "needs_controlled_temperature": false,
      "temperature_range_description": "5-25°C"
    },
    "commercial_value": {
      "amount": 150357.99,
      "currency": "USD"
    },
    "needs_ad_valorem_insurance": false,
    "purchase_order_references": [
      4500346155
    ],
    "main_tracking_dates": {
      "pickup_date": {
        "date": "2021-09-20T10:02:09+01:00"
      },
      "departure_date": {
        "date": "2021-09-20T10:02:09+01:00"
      },
      "arrival_date": {
        "date": "2021-09-20T10:02:09+01:00"
      },
      "delivery_date": {
        "date": "2021-09-20T10:02:09+01:00"
      }
    },
    "booking_information": {
      "carrier": "CMA CGM",
      "master_bill": "LHV1190703558",
      "house_bill": "HOUSEREF12357",
      "ocean_booking": {
        "booking_number": "TWLEH2106004",
        "voyage": "033E",
        "vessel": "CMA CGM Jacques Saadé"
      },
      "air_booking": {
        "flight_number": "AF256",
        "chargeable_weight": {
          "value": 350.25,
          "unit": "kg"
        }
      }
    },
    "invoice_references": [
      "FAC2022-9567"
    ],
    "accepted_quote": {
      "id": "325",
      "request_date": "2021-09-20T10:02:09+01:00",
      "accepted_date": "2021-09-20T10:02:09+01:00"
    }
  }
]
{}

Query Parameters

skip
integer
default:0
take
integer
default:10
Required range: x <= 100

Response

Shipments found

name
string
Example:

"June Air Export USA"

ovrsea_shipment_id
string
Example:

"CDEF"

status
enum<string>
Available options:
booking_request,
awaiting_booking,
booked,
draft,
in_progress,
finished,
cancelled
created_at
string
Example:

"2021-09-20T10:02:09+01:00"

incoterm
enum<string>
Available options:
exw,
fca,
fas,
fob,
cpt,
cfr,
cif,
cip,
dap,
ddp,
dpu,
dat
Example:

"fob"

freight_mode
enum<string>
Available options:
air,
ocean,
rail,
truck
load_type
enum<string>
Available options:
fcl,
lcl,
both
freight_type
enum<string>
Available options:
port_to_door,
door_to_port,
door_to_door,
port_to_port
route
object
cargo_ready_date
string
Example:

"2021-10-11"

desired_delivery_date
string
Example:

"2021-10-11"

specific_instructions
string

Optional field containing specific instruction given by the client

cargo
object
transported_goods
object
commercial_value
object
needs_ad_valorem_insurance
boolean
default:false
purchase_order_references
string[]
main_tracking_dates
object
booking_information
object
invoice_status
enum<string>
Available options:
available,
awaiting_invoice,
due,
paid,
partially_paid
invoice_references
string[]
accepted_quote
object